<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="com.censoft.common.base.Pub" %>

<%
	Pub pub = new Pub();
    String path = request.getContextPath() + "./";
	String inputName = pub.trimNull(request.getParameter("inputName"));
%>
<!DOCTYPE html>
<html>
<head>
    <title>号码资源管理系统</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE" />

    <link rel="stylesheet" type="text/css" href="./css/h-ui/css/H-ui.min.css"/>
    <link rel="stylesheet" type="text/css" href="./css/h-ui.admin/css/H-ui.admin.css"/>
    <link rel="stylesheet" type="text/css" href="./js/Hui-iconfont/1.0.8/iconfont.css"/>
    <link rel="stylesheet" type="text/css" href="./css/h-ui.admin/skin/green/skin.css" id="skin"/>
    <link rel="stylesheet" type="text/css" href="./css/h-ui.admin/css/style.css"/>
    <!--_footer 作为公共模版分离出去-->
    <script type="text/javascript" src="./js/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript" src="./js/layer/2.4/layer.js"></script>
    <script type="text/javascript" src="./css/h-ui/js/H-ui.min.js"></script>
    <script type="text/javascript" src="./css/h-ui.admin/js/H-ui.admin.js"></script>
    <script type="text/javascript" src="./js/My97DatePicker/4.8/WdatePicker.js"></script>
    <script type="text/javascript" src="./js/datatables/1.10.0/jquery.dataTables.min.js"></script>
    <link rel="stylesheet" href="./js/zTree/v3/css/zTreeStyle/zTreeStyle.css" type="text/css">
    <link rel="stylesheet" href="./css/pagination.css">
    <script type="text/javascript" src="./js/jquery.pagination.js"></script>
    <script type="text/javascript" src="./js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
    <style>
        #tr_doub{background-color: #fff;}
        #tr_doub td{font-size: 16px;}
        #tr_single{background-color: #f0f0f0;}
        #tr_single td{font-size: 16px;}
		.content ul{text-indent:0;}
    </style>
</head>
<body>
<sitemesh:write property='body' style="margin-top:10px;">
<div class="page-container">
    <div class="content" >
		
		<div class="left-tree" style="width:21%;">
			<div class="panel-header">
				组织机构
			</div>
			<div class="tree-div" style="height:90%;">
				<ul id="treeDemo" class="ztree" style="text-indent:0;"></ul>
			</div>
		</div>
		<div class="search-form" style="width:90%;margin-left:14%;float:left;">
			<form method="post" id="data_form_search" name="data_form_search">
				<input type="hidden" name="page_number" id="page_number" value="1"/>
				<input type="hidden" name="page_size" id="page_size" value="20"/>
				<input type="hidden" name="inputName" id="inputName" value="<%=inputName%>"/>
				<input type="hidden" name="dept_id" id="dept_id" value=""/>
				<div class="text-l">
							<table class="search-table " >
								<tr class="">
									<td class="search-label" >
										号码：
									</td>
									<td class="search-input" >
										<input placeholder="输入号码" type="text" name="phone" class="input-text" />
									</td>
									<td class="search-label">
										尾号规则:
									</td>
									<td class="search-input">
										<select class="input-text" name="end_num_rules" id="end_num_rules">
											<option value="">请选择</option>
											<option value="AAAA">AAAA</option>
											<option value="ABCD">ABCD</option>
											<option value="ABBB">ABBB</option>
											<option value="AAAB">AAAB</option>
											<option value="AABB">AABB</option>
											<option value="ABAB">ABAB</option>
										</select>
									</td>
								   
									<td colspan="3" >
										<a class="btn btn-primary radius" id="searchA" onclick="searchModel();" style="margin-left:19%;">
											查询
										</a>
										<a class="btn btn-info radius" onclick="chongzhi();" style="margin-left:5px;">
											重置
										</a>
									</td>
								</tr>
							</table>
						</div>
			</form>
		</div>
		<div class="right-content" style="top:10%;left:22%;width:77.5%;">
			<div class="datalist " id="datalist">

			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
    function searchDept() {
		var input_name='<%=inputName%>';
		getDept("","",input_name);
        var setting = {
            view: {
                dblClickExpand: false,
                showLine: false,
                selectedMulti: false
            },
            data: {
                simpleData: {
                    enable: true,
                    idKey: "id",
                    pIdKey: "pId",
                    rootPId: ""
                }
            },
            callback: {
                onClick: function (event, treeId, treeNode) {
                    if(!treeNode.isParent){
                        getDept(treeNode.id,"child",input_name);
                    }else{
                        getDept(treeNode.id,"parent",input_name);
                    }
                }
            }
        };
        $.ajax({
            type: "post",
            url: "./dept/dept_tree_ajax.jsp",
            success: function (data) {
                if (data != null && data.length == 0) {
                } else {
                    $.fn.zTree.init($("#treeDemo"), setting, data);
                   // var zTree = $.fn.zTree.getZTreeObj("treeDemo");//获取ztree对象
                  
                }


            }
        });
    }
    function getDept(id,treeType,input_name){
        $.ajax({
            type: "post",
            url: "./phone_list_ajax.jsp?dept_id="+id+"&treeType="+treeType+"&inputName="+input_name,
            success: function (msg) {
                $("#dept_id").val(id);
                $("#datalist").html(msg);
            }
        });
    }

    $(function(){
        searchDept();

    });
    function searchModel() {
        $.ajax({
            type: "post",
            url: "./phone_list_ajax.jsp",
            data: $('#data_form_search').serialize(),
            success: function (msg) {
         
                $("#datalist").html(msg);
            }
        });
    }
	function chongzhi(){
        $("#page_size").val("10");
        data_form_search.reset();
        searchModel();
    }
</script>
</sitemesh:write>
</body>
</html>