<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%!
	Pub pub = new Pub();
    public long getDays(String b_date,String e_date){
        long day = 10L;
        try{
            SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
            java.util.Date now = df.parse(b_date);
            java.util.Date date=df.parse(e_date);
            long l=now.getTime()-date.getTime();
            day=l/(24*60*60*1000);

        }catch(Exception e){}
        return day;
    }
%>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list;
	SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
	String inputName = pub.trimNull(request.getParameter("inputName"));
	String inputSize = pub.trimNull(request.getParameter("inputSize"));
    String page_number = pub.trimNull(request.getParameter("page_number"));
    if ("".equals(page_number)) page_number = "1";
    String page_size = pub.trimNull(request.getParameter("page_size"));
    if ("".equals(page_size)) page_size = "20";
    String phone = pub.trimNull(request.getParameter("phone"));
    String dept_id = pub.trimNull(request.getParameter("dept_id"));
	String end_num_rules = pub.trimNull(request.getParameter("end_num_rules"));
    List list_s = new ArrayList();
    try {
        StringBuffer sb = new StringBuffer();
		Calendar calendar2 = Calendar.getInstance();
		calendar2.setTime(df.parse(pub.getCurrentServerTime()));
		calendar2.add(Calendar.DATE, -180);
		Date date1 = calendar2.getTime();
		String e_time = df.format(date1);
            sb.append("select t1.*,t2.end_num_rules from tp_phone_info t1  left join tp_special_num_rules t2" +
                    " on t1.rule_id=t2.id where t1.status='0' ");
			sb.append(" and ((t1.update_time is null or t1.update_time='') or t1.update_time<=?) ");
            list_s.add(e_time);
        if(!"".equals(phone)){
            sb.append(" and t1.phone like ?");
            list_s.add(phone+"%");
        }
        if(!"".equals(dept_id)){
            sb.append(" and t1.dept_id = ?");
            list_s.add(dept_id);
        }
		if(!"".equals(end_num_rules)){
            sb.append(" and t2.end_num_rules = ?");
            list_s.add(end_num_rules);
        }
        sb.append(" order by t1.phone asc");
        conn = cf.getConnection("dm.jdbc.driver.DmDriver","jdbc:dm://51.31.250.3","TEL_POOL","TEL_POOL123456");
		// dbclass.getConnection("com.kingbase.Driver","jdbc:kingbase://222.65.0.130:54321/asopcms6","system","password");
        v_list = cf.doPageQueryWithCount(conn, sb.toString(), page_number, page_size, null, list_s.toArray());
        if (v_list == null) {
            out.println("查询特殊号码出错" + cf.getMsg());
            return;
        }
    Hashtable ht_row = (Hashtable) v_list.get(0);
    String rowCnt = pub.trimNull((String) ht_row.get("ROWCOUNT"));
%>
<div style="margin-top: 10px;">
    <a class="btn btn-primary radius" onclick="tijiao('single');" >
        单选确认
    </a>
    <a class="btn btn-primary radius" onclick="tijiao('doubles');" >
        多选确认
    </a>
</div>
<form  method="post" id="phone_list" name="phone_list" >
    <div class="table-list" style="height:400px;">
        <table class="table  table-hover table-bg">
            <thead>
            <tr class="text-c">
                <th width="30">
                    <input id="checkboxAll" type="checkbox" onclick="checkAll(this);"></input>
                </th>
                <th width="30px">序号</th>
                <th width="150px">号码</th>
                <th width="120px">尾号规则</th>
            </tr>
            </thead>
            <tbody>
            <%
                if (v_list != null && v_list.size() > 0) {
                    for (int i = 1; i < v_list.size(); i++) {
                        Hashtable ht = (Hashtable) v_list.get(i);
                        String phone_view = pub.trimNull((String) ht.get("phone"));
                        String endNumRules = pub.trimNull((String) ht.get("end_num_rules"));
            %>
            <tr <%if(i%2==0){%>id="tr_doub"<%}else{%>id="tr_single"<%}%> class="text-c">
                <td >
                    <input type="checkbox" class="info" id="<%=phone_view%>"
                           name="phone_view" value="<%=phone_view%>" />
                </td>
                <td><%=i%>
                </td>
                <td><%=phone_view%>
                </td>
                <td><%=endNumRules%>
                </td>
            </tr>
            <%
                    }
                }
            %>
            </tbody>
        </table>
    </div>
</form>
<jsp:include page="./common/page_ajax.jsp" >
    <jsp:param name="page_number" value="<%=page_number%>" />
    <jsp:param name="rowCnt" value="<%=rowCnt%>" />
    <jsp:param name="page_size" value="<%=page_size%>" />
</jsp:include>
<script type="text/javascript">
	var checkAll = function (checkbox) {
        $(".info").prop("checked", checkbox.checked);
    }
    //document.domain = "localhost";
	var input_name='<%=inputName%>';
	var inputSize='<%=inputSize%>';
    function tijiao111(type) {
		var check_len=$('input[name="phone_view"]:checked').length;
        if(check_len==0){
            layer.msg('请选择号码', {
                icon: 5,
                time: 3000
            })
            return false;
        }
		if(type=='single'){
            if(check_len==1){
                window.parent.returnPhone($('input[name="phone_view"]:checked').val(),input_name,'single',0);
            }else{
                layer.msg('只能选择一个号码', {
                    icon: 5,
                    time: 3000
                }, function () {
                    return false;
                });
            }
        }else if(type=='doubles'){
            layer.confirm('多选会覆盖已填号码', function (index1) {
                $('input[name="phone_view"]:checked').each(function(index,element){
                    window.parent.returnPhone($(this).val(),"",'doubles',index);
                })
            })
        }
    }
	 function tijiao(type) {
		var check_len=$('input[name="phone_view"]:checked').length;
        if(check_len==0){
            layer.msg('请选择号码', {
                icon: 5,
                time: 3000
            })
            return false;
        }
		if(type=='single'){
            if(check_len==1){
                window.parent.returnPhone($('input[name="phone_view"]:checked').val(),input_name,'single',0);
            }else{
                layer.msg('只能选择一个号码', {
                    icon: 5,
                    time: 3000
                }, function () {
                    return false;
                });
            }
        }else if(type=='doubles'){
		    var phones = "";
            layer.confirm('多选会置空已填号码', function (index1) {
                $('input[name="phone_view"]:checked').each(function(index,element){
                    phones+=$(this).val()+",";
                })
                phones=phones.substring(0,phones.length-1);
                window.parent.returnPhone(phones,input_name,'doubles',0);
            })
        }
    }
</script>
<%
    } catch (Exception e) {
        out.println("查询特殊号码异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>